<?php class autoprocessingresultparameter extends baseobject {

    protected static array $fields=array(
        'name'=>validator::REQUIRED,
        'autoprocessingresultid'=>validator::REQUIRED,
        'parametername'=>validator::REQUIRED,
        'parametervalue'=>validator::ANY
    );

    protected static array $helpTexts=array(

    );

    public static string $defaultSortOrder='autoprocessingresultparameter.name';

    /**
     * @return bool
     * @throws NotFoundException
     */
    public static function canCreate(): bool {
        return session::isShipper() || session::isAdmin();
    }

	/**
	 * @param int $id
	 * @return bool
	 * @throws NotFoundException
	 */
    public static function canUpdate(int $id): bool {
        return session::isShipper() || session::isAdmin();
    }

}